/**
 * Hub Index Wrapper
 */

module.exports = {
  remove (id, token, env) {
    if (env === 'prod'){
      env = '';
    }
    let options = {
      method: 'DELETE',
      headers: {
        'Content-Type': 'application/json',
        Authorization: token
      }
    };
    let url = `https://hub${env}.arcgis.com/api/v2/sites/${id}`;
    return fetch(url, options)
      .then((response) => {
        return response.json();
      })
      .catch((err) => {
        console.log(`Error removing hubindex for ${id} ${err}`);
      })
  },

}
